Package Details: chroma 1.20-1

Git Clone URL: https://aur.archlinux.org/chroma.git (read-only, click to copy)
Package Base: chroma
Description: Abstract puzzle game.
Upstream URL: http://www.level7.org.uk/chroma/
Licenses: GPL
Submitter: danym
Maintainer: vikits
Last Packager: vikits
Votes: 12
Popularity: 0.000000
First Submitted: 2010-01-27 18:12 (UTC)
Last Updated: 2022-01-07 22:10 (UTC)

Latest Comments

npreining commented on 2022-01-06 04:04 (UTC)

Current package fails to build. A simple update to 1.20 is enough to make it work, tested locally.

--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,9 +1,10 @@
 # Maintainer: Vignesh TS < vikits at gmail dot com>
 # Contributor: schuay <jakob.gruber@gmail.com>
 # Contributor: Dany Martineau <dany.luc.martineau gmail com>
+# Contributor: Norbert Preining <norbert@preining.info>

 pkgname=chroma
-pkgver=1.18
+pkgver=1.20
 pkgrel=1
 pkgdesc="Abstract puzzle game."
 arch=('i686' 'x86_64')
@@ -34,5 +35,5 @@ package() {
         ${pkgdir}/usr/share/applications/${pkgname}.desktop
 }

-md5sums=('adff0bca563ebec02bbe2b08ed95058a'
+md5sums=('d0f1e770e49ae10070a78e50cec8a723'
          '90932d9a42f1545c3ba59ae38afb7732')

vikits commented on 2021-04-05 11:35 (UTC)

This package is now back on track. It now works. Just updated to the more recent version.

FredBezies commented on 2020-01-07 12:39 (UTC)

@vikits: I was using a "modified" freetype2 package.

Looks like this software is broken because developer did not updated it.

Orphaning it.

vikits commented on 2020-01-06 05:22 (UTC) (edited on 2020-01-06 05:29 (UTC) by vikits)

The configure script needs some tweaking. There are references to deprecated freetype-config in configure and configure.ac files. I did try to change them myself. By replacing "freetype-config" with "pkg-config", "freetypeconf_args --cflags" with "freetypeconf_args --cflags freetype2" and "freetypeconf_args --libs" with "freetypeconf_args --libs freetype2". But still the compilation fails at config. configure: error: *** Unable to find FreeType2 library (http://www.freetype.org/)

dreieck commented on 2019-11-04 21:23 (UTC)

I get an error building the package

configure: error: *** Unable to find FreeType2 library (http://www.freetype.org/)

(package freetype2 is installed.)

ozderi commented on 2019-06-11 07:01 (UTC) (edited on 2019-06-11 07:01 (UTC) by ozderi)

Sorry I didn't realized I was still the maintainer. The package is now orphaned, so you can adopt it :)

commented on 2019-06-08 10:03 (UTC)

Fix the build: cd chroma-1.17 sed -i 's/inline//g' sdlshadowdisplay.c ./configure make

and all is happiness ;)

ozderi commented on 2019-02-08 09:54 (UTC)

The game is now playable in a browser : http://www.level7.org.uk/chroma/chroma.html

So I won't consider adopting the package, which loses its interest :/ (in my case at least)

schuay commented on 2019-02-04 16:28 (UTC)

The configure script will need some tweaking for 1.16; it looks for freetype-config which has been removed from upstream for a while apparently. What it should do is use pkgconfig instead. I don't have time to fix this, orphaning.

commented on 2012-01-15 11:27 (UTC)

Here's a PKGBUILD for 1.14: http://pastebin.com/hzSte4Bk